# Created by pyp2rpm-3.3.2
%global pypi_name helpdev

Name:           python-%{pypi_name}
Version:        0.6.10
Release:        1%{?dist}
Summary:        HelpDev - Extracts information about the Python environment easily

License:        MIT
URL:            https://gitlab.com/dpizetta/helpdev
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        LICENSE.rst
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(psutil) >= 5.6
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Helping users and developers to get information about the environment to report
bugs or even test your system without spending a day on it. It can get
information about hardware, OS, paths, Python distribution and packages,
including Qt-things.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
# install license file
mkdir -p %{buildroot}/%{_datadir}/licenses/python3-%{pypi_name}/
cp -pr %{SOURCE1} %{buildroot}/%{_datadir}/licenses/python3-%{pypi_name}

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.rst
%{_bindir}/helpdev
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sat Dec 21 2019 Mukundan Ragavan <nonamedotc@gmail.com> - 0.6.10-1
- Initial package.
